%define name	gocr
%define version	0.45
%define release	1

%define prefix		%{_prefix}
%define _xprefix	/usr/X11R6
%define _xbindir	%{_xprefix}/bin

Summary:	Gocr is an OCR (Optical Character Recognition) program.
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://jOCR.sourceforge.net/
License:	GPL
Group:		Graphics
Source0:	http://prdownloads.sourceforge.net/jocr/%{name}-%{version}.tar.gz
#following packages are not really needed, but recommended
#BuildRequires:  libnetpbm1-devel
#BuildRequires:  transfig
# set RPM_BUILD_ROOT to /var/tmp/gocr-buildroot , overwritten by .rpmmacros
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
GOCR is an optical character recognition program. 
It reads images in many formats  and outputs a text file.
Possible image formats are pnm, pbm, pgm, ppm, some pcx and
tga image files. Other formats like pnm.gz, pnm.bz2, png, jpg, tiff, gif,
bmp will be automatically converted using the netpbm-progs, gzip and bzip2
via unix pipe.
A simple graphical frontend written in tcl/tk and some
sample files (you need transfig for the sample files) are included.
Gocr is also able to recognize and translate barcodes.
You do not have to train the program or store large font bases.
Simply call gocr from the command line and get your results.


%package -n %{name}-devel
Summary:	Development tools for gocr.
Group:		Development/C

%description -n %{name}-devel
GOCR is an optical character recognition program.
If you want to develop programs which will manipulate gocr, you should 
install gocr-devel.  You'll also need to install the gocr package.

# rpmbuild -bp: unpacking sources and applaying patches
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

# rpmbuild -bc: build, after prep, invokes make
%build
%configure --with-netpbm=no
%{__make}

# rpmbuild -bi: install-stage
%install

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

# rpmbuild -bl: list check, check that every file exists
%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS BUGS CREDITS HISTORY README REMARK.txt TODO
%doc doc/{examples.txt,gocr.html,unicode.txt}
%doc examples/{ex.fig,font2.fig,ocr-a.png,ocr-b.png}
%{_mandir}/man1/*
%attr(755,root,root) %{_bindir}/*

%files -n %{name}-devel
%defattr(-, root, root)
%doc AUTHORS REVIEW
%{_libdir}/libPgm2asc.a
%{_includedir}/gocr.h

%changelog
* Sun Oct 19 2008 Simon Amor <simon(at)leaky.org> 0.45-1
- Update to 0.45

* Sat Dec 27 2003 Nick Urbanik <nicku(at)vtc.edu.hk> 0.38-1.1nu
- Change %make to %{__make}
- check config.cache exists before trying to delete it
- Fix the files list for documentation.
- add back the gtk frontend
- Added the correct build require for gtk frontend
- various other fixes to get it to build.

* Tue Jan 29 2001 Joerg Schulenburg <jschulen-at-gmx.de-NOSPAM> 0.3.6-1
- gocr.spec taken krom  Marcel Pol <mpol(at)gmx.net>

# check: rpmbuild -ba --nobuild gocr.spec
